summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-10 02:24:08 +0100
committer Dave Woodfall <dave@slackbuilds.org>2020-05-10 02:24:08 +0100
commit3b9ebcb4bda54c167eb33d9691d41061e87493d3 (patch)
tree01e9fe5504814ece921107500cb54101071efd59 /academic
parenta5a09aea950fef7569ac816b34a99b71830760d4 (diff)
downloadslackbuilds-3b9ebcb4bda54c167eb33d9691d41061e87493d3.tar.gz
slackbuilds-3b9ebcb4bda54c167eb33d9691d41061e87493d3.tar.xz
academic/gcompris-qt: Added (an educational software suite)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/gcompris-qt/README18
-rw-r--r--academic/gcompris-qt/doinst.sh9
-rw-r--r--academic/gcompris-qt/gcompris-qt4
-rw-r--r--academic/gcompris-qt/gcompris-qt.SlackBuild103
-rw-r--r--academic/gcompris-qt/gcompris-qt.desktop88
-rw-r--r--academic/gcompris-qt/gcompris-qt.info10
-rw-r--r--academic/gcompris-qt/gcompris-qt.pngbin0 -> 20395 bytes
-rw-r--r--academic/gcompris-qt/slack-desc19
8 files changed, 251 insertions, 0 deletions
diff --git a/academic/gcompris-qt/README b/academic/gcompris-qt/README
new file mode 100644
index 0000000000..5b42a03a00
--- /dev/null
+++ b/academic/gcompris-qt/README
@@ -0,0 +1,18 @@
+GCompris is a high quality educational software suite, including
+a large number of activities for children aged 2 to 10. Some of the
+activities are game orientated, but nonetheless still educational.
+
+Currently GCompris offers more than 100 activities, and more are
+being developed.
+
+This is Qt5-based version of gcompris.
+
+NOTE:
+This software runs better on a platform that have OpenGL 2 support.
+If you do not have OpenGL 2 support, you have 2 options:
+- Add the following parameter "--software-renderer" at the end of
+ the last line of the script in /opt/gcompris-qt/bin/gcompris-qt.sh
+ This will affect system-wide
+- Replace "renderer=auto" into "renderer=software" in your local configuration
+ located in ~/.config/gcompris-qt/gcompris-qt.conf
+ This will affect current user only
diff --git a/academic/gcompris-qt/doinst.sh b/academic/gcompris-qt/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/academic/gcompris-qt/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/gcompris-qt/gcompris-qt b/academic/gcompris-qt/gcompris-qt
new file mode 100644
index 0000000000..f77dbd5de6
--- /dev/null
+++ b/academic/gcompris-qt/gcompris-qt
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /opt/gcompris-qt/bin
+./gcompris-qt.sh
diff --git a/academic/gcompris-qt/gcompris-qt.SlackBuild b/academic/gcompris-qt/gcompris-qt.SlackBuild
new file mode 100644
index 0000000000..0e2a9e8aae
--- /dev/null
+++ b/academic/gcompris-qt/gcompris-qt.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for gcompris-qt
+
+# Copyright 2020 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without modification,
+# are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
+# TO PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This software is licensed under the GNU GENERAL PUBLIC LICENSE Version 3,
+# 29 June 2007
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+PRGNAM=gcompris-qt
+VERSION=${VERSION:-0.97}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ ARCH="$( uname -m )"
+fi
+
+case "$ARCH" in
+ i?86)
+ ARCH=i586
+ SRCARCH=32
+ ;;
+ x86_64)
+ ARCH=x86_64
+ SRCARCH=64
+ ;;
+ *)
+ echo "Unsupported architecture"
+ exit 1
+ ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG/opt/gcompris-qt $OUTPUT
+cd $PKG/opt/gcompris-qt
+
+sh $CWD/$PRGNAM-$VERSION-Linux${SRCARCH}.sh \
+ --prefix=$PKG/opt/gcompris-qt \
+ --exclude-subdir \
+ --skip-license
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find -L $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m644 $CWD/gcompris-qt.desktop \
+ $PKG/usr/share/applications/gcompris-qt.desktop
+
+install -D -m644 $CWD/gcompris-qt.png \
+ $PKG/usr/share/icons/hicolor/256x256/apps/gcompris-qt.png
+
+install -D -m755 $CWD/gcompris-qt $PKG/usr/bin/gcompris-qt
+
+# move this here to catch anything that may not have proper ownership
+chown -R root:root $PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/gcompris-qt/gcompris-qt.desktop b/academic/gcompris-qt/gcompris-qt.desktop
new file mode 100644
index 0000000000..6940f39c97
--- /dev/null
+++ b/academic/gcompris-qt/gcompris-qt.desktop
@@ -0,0 +1,88 @@
+[Desktop Entry]
+Name=GCompris
+Name[ca]=GCompris
+Name[cs]=GCompris
+Name[el]=GCompris
+Name[en_GB]=GCompris
+Name[es]=GCompris
+Name[et]=GCompris
+Name[eu]=GCompris
+Name[fr]=GCompris
+Name[gl]=GCompris
+Name[it]=GCompris
+Name[ml]=ജികോംപ്രി
+Name[nl]=GCompris
+Name[nn]=GCompris
+Name[pl]=GCompris
+Name[pt]=GCompris
+Name[pt_BR]=GCompris
+Name[ro]=GCompris
+Name[sk]=GCompris
+Name[sv]=GCompris
+Name[uk]=GCompris
+Name[x-test]=xxGComprisxx
+Name[zh_TW]=GCompris
+GenericName=Educational Game
+GenericName[ca]=Joc educatiu
+GenericName[cs]=Výuková hra
+GenericName[el]=Εκπαιδευτικό παιχνίδι
+GenericName[en_GB]=Educational Game
+GenericName[es]=Juego educativo
+GenericName[et]=Hariv mäng
+GenericName[eu]=Hezkuntza-jokoa
+GenericName[fr]=Jeu éducatif
+GenericName[gl]=Xogo educativo
+GenericName[it]=Gioco didattico
+GenericName[ml]=വിദ്യാഭ്യാസപരമായ കളി
+GenericName[nl]=Educatief spel
+GenericName[nn]=Leik-og-lær-spel
+GenericName[pl]=Gra edukacyjna
+GenericName[pt]=Jogo Educativo
+GenericName[pt_BR]=Jogo educacional
+GenericName[ro]=Joc educațional
+GenericName[sk]=Výuková hra
+GenericName[sv]=Pedagogiskt spel
+GenericName[uk]=Освітня гра
+GenericName[x-test]=xxEducational Gamexx
+GenericName[zh_CN]=教育游戏
+GenericName[zh_TW]=教育遊戲
+Comment=Multi-Activity Educational game for children 2 to 10
+Comment[br]=C'hoari kelennadel gant oberezhioù a bep seurt evit ar vugale etre 2 ha 10 vloaz
+Comment[ca]=Joc educatiu amb múltiples activitats per a infants de 2 a 10 anys
+Comment[ca@valencia]=Joc educatiu amb múltiples activitats per a infants de 2 a 10 anys
+Comment[de]=Lernspiel mit vielen Aktivitäten für Kinder von 2 bis 10 Jahren
+Comment[el]=Εκπαιδευτικό παιχνίδι πολλαπλών δραστηριοτήτων για ηλικίες 2 έως 10 ετών
+Comment[en_GB]=Multi-Activity Educational game for children 2 to 10
+Comment[es]=Juego educativo multiactividad para niños de 2 a 10 años
+Comment[et]=Rohkete tegevustega hariv mäng lastele vanuses 2-10
+Comment[eu]=Jarduera anitzeko Hezkuntza-jokoa 2 eta 10 urte arteko haurrentzat
+Comment[fi]=Useampitoimintoinen opettavainen peli 2–10-vuotiaille lapsille
+Comment[fr]=Jeu éducatif multi-activités pour les enfants de 2 à 10 ans
+Comment[gl]=Xogo educativo con varias actividades para nenos entre 2 e 10 anos
+Comment[hi]=२ से १० वर्ष के बच्चों के लिए विभिन्न क्रियाएं वाला शेक्षणिक खेल
+Comment[id]=GCompris adalah kumpulan permainan kegiatan pendidikan untuk anak umur 2 sampai 10 tahun
+Comment[it]=Gioco didattico multi-attività per bambini da 2 a 10 anni
+Comment[ko]=2-10세 어린이를 위한 다양한 활동이 있는 교육용 게임
+Comment[ml]=2 മുതൽ 10 വയസ്സുവരെയുള്ള കുട്ടികൾക്ക് വിവിധ പ്രവർത്തനങ്ങളിലൂടെ പഠിക്കാനായുള്ള കളി.
+Comment[nl]=Educatief spel met meerdere activiteiten voor kinderen van 2 tot 10
+Comment[nn]=Leik-og-lærspel med mange aktivitetar – for barn frå 2 til 10 år
+Comment[pl]=Gra edukacyjna z wieloma aktywnościami dla dzieci w wieku od 2 do 10 lat
+Comment[pt]=Jogo educativo multi-actividades para crianças dos 2 aos 10 anos
+Comment[pt_BR]=Jogo educacional com várias atividades para crianças de 2 a 10 anos
+Comment[ro]=Joc educațional cu activități multiple pentru copii între 2 și 10 ani
+Comment[ru]=Обучающие игры для детей от 2 до 10 лет
+Comment[sk]=Viac-aktivitová výuková hra pre deti od 2 do 10 rokov
+Comment[sl]=Izobraževalna igra z več dejavnostmi za otroke med drugim in desetim letom starosti
+Comment[sv]=Pedagogiskt multiaktivitetsspel för barn från 2 till 10 år
+Comment[tr]=2-10 yaş arası çocuklar için Çoklu Etkileşimli Eğitici oyun
+Comment[uk]=Набір освітніх ігор для дітей від 2 до 10 років
+Comment[x-test]=xxMulti-Activity Educational game for children 2 to 10xx
+Comment[zh_CN]=为 2 到 10 岁儿童准备的多功能教育游戏
+Comment[zh_TW]=為 2-10 歲孩子設計的教育遊戲
+Exec=gcompris-qt
+Icon=gcompris-qt
+Terminal=false
+Type=Application
+Categories=Education;Game;KidsGame;
+StartupNotify=true
+X-DocPath=gcompris/index.html
diff --git a/academic/gcompris-qt/gcompris-qt.info b/academic/gcompris-qt/gcompris-qt.info
new file mode 100644
index 0000000000..fb4b19e9a3
--- /dev/null
+++ b/academic/gcompris-qt/gcompris-qt.info
@@ -0,0 +1,10 @@
+PRGNAM="gcompris-qt"
+VERSION="0.97"
+HOMEPAGE="http://gcompris.net/"
+DOWNLOAD="http://gcompris.net/download/qt/linux/gcompris-qt-0.97-Linux32.sh"
+MD5SUM="38c320d3cefe30eb1c77eadcc40077fa"
+DOWNLOAD_x86_64="http://gcompris.net/download/qt/linux/gcompris-qt-0.97-Linux64.sh"
+MD5SUM_x86_64="eb79d6a0172230d53856917f1c2f1c20"
+REQUIRES="krb5"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/academic/gcompris-qt/gcompris-qt.png b/academic/gcompris-qt/gcompris-qt.png
new file mode 100644
index 0000000000..40cec079f4
--- /dev/null
+++ b/academic/gcompris-qt/gcompris-qt.png
Binary files differ
diff --git a/academic/gcompris-qt/slack-desc b/academic/gcompris-qt/slack-desc
new file mode 100644
index 0000000000..995c085f2f
--- /dev/null
+++ b/academic/gcompris-qt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gcompris-qt: gcompris-qt (an educational software suite)
+gcompris-qt:
+gcompris-qt: GCompris is a high quality educational software suite, including
+gcompris-qt: a large number of activities for children aged 2 to 10. Some of the
+gcompris-qt: activities are game orientated, but nonetheless still educational.
+gcompris-qt:
+gcompris-qt: Currently GCompris offers more than 100 activities, and more are
+gcompris-qt: being developed.
+gcompris-qt:
+gcompris-qt: Homepage: http://gcompris.net/
+gcompris-qt: